NEW in 45 (16/09/2023)
=============

- Port to gnome 45
- Add setting to open ui window centered
- Translations updates

NEW in 44.1 (14/07/2023)
=============

- Fix a bug leading to history with only one item

NEW in 44.0 (24/03/2023)
=============

- gcr 4 is now required
- Port to gnome 44

NEW in 43.3 (14/07/2023)
=============

- Fix a bug leading to history with only one item

NEW in 43.2 (20/03/2023)
=============

- Avoid crash under heavy memory load

NEW in 43.1 (03/01/2023)
=============

- Respect --use-index when displaying history
- Translations updates

NEW in 43.0 (27/09/2022)
=============

- Port to GNOME 43
- Internal preparation for gtk4 port
- Translations updates

NEW in 42.5 (14/07/2023)
=============

- Fix a bug leading to history with only one item

NEW in 42.4 (20/03/2023)
=============

- Avoid crash under heavy memory load

NEW in 42.3 (03/01/2023)
=============

- Respect --use-index when displaying history

NEW in 42.2 (27/09/2022)
=============

- Open GPaste UI where the mouse pointer is

NEW in 42.1 (21/03/2022)
=============

- Fixes to the new preferences tool
- Style fixes
- Translations updates

NEW in 42.0 (19/03/2022)
=============

- Old libgpaste replaced by a new minimal libgpaste-2 with no gtk dependency
- New libgpaste-gtk3 for utils and settings ui
- New libgpaste-gtk4 for utils and preferences ui
- New gtk4 based gpaste-preferences utility
- Autotools are no longer supported
- Extension updated for gnome-shell 42
- Translations updates

NEW in 3.42.10 (14/07/2023)
=============

- Fix a bug leading to history with only one item

NEW in 3.42.9 (20/03/2023)
=============

- Avoid crash under heavy memory load

NEW in 3.42.8 (03/01/2023)
=============

- Respect --use-index when displaying history

NEW in 3.42.7 (27/09/2022)
=============

- Open GPaste UI where the mouse pointer is

NEW in 3.42.6 (15/02/2022)
=============

- fix the storage path in meson builds

NEW in 3.42.5 (15/02/2022)
=============

- fix some race conditions in history handling

NEW in 3.42.4 (15/02/2022)
=============

- better fix crash when there is no history yet

NEW in 3.42.3 (15/02/2022)
=============

- fix crash when there is no history yet
- translations update

NEW in 3.42.2 (24/11/2021)
=============

- fix gnome-shell exntesion when the daemon restarts
- translations update

NEW in 3.42.1 (30/10/2021)
=============

- fix keybindings on wayland
- translations update

NEW in 3.42.0 (28/09/2021)
=============

- port to gnome-shell 41
- translations update

NEW in 3.40.5 (03/01/2023)
=============

- Respect --use-index when displaying history

NEW in 3.40.4 (27/09/2022)
=============

- Open GPaste UI where the mouse pointer is

NEW in 3.40.3 (26/09/2021)
=============

- translations update

NEW in 3.40.2 (30/04/2021)
=============

- fix a crash in memory usage checking

NEW in 3.40.1 (10/04/2021)
=============

- fix build with meson

NEW in 3.40.0 (09/04/2021)
=============

- port to gnome-shell 40
- placeholder for gnome-shell prefs

NEW in 3.38.6 (08/03/2021)
=============

- fix X11 keybinder outside of GNOME

NEW in 3.38.5 (03/02/2021)
=============

- better handling and reporting of invalid uuids passed to gpaste-client
- gpaste-client now has a --use-index argument for several subcommands to use index instead of uuid

NEW in 3.38.4 (22/12/2020)
=============

- fix the make-password keybinding
- updated translations

NEW in 3.38.3 (02/11/2020)
=============

- gnome-shell extension warning fixes
- updated translations

NEW in 3.38.2 (03/10/2020)
=============

- gnome-shell extension cosmetic updates

NEW in 3.38.1 (01/10/2020)
=============

- Disable images support by default (can be reenabled in preferences)
- Search now includes passwords (using their names)
- systemd integration enhancements

NEW in 3.38.0 (15/09/2020)
=============

- Drop the Tracking DBus signal
- Switch to uuids to identify items
- Bump DBus interface to org.gnome.GPaste2
- Update to gnome-shell 3.38.0

NEW in 3.36.5 (08/03/2021)
=============

- fix X11 keybinder outside of GNOME

NEW in 3.36.4 (03/10/2020)
=============

- gnome-shell extension cosmetic updates

NEW in 3.36.3 (27/03/2020)
=============

- Fix activating items using Ctrl-Number in gnome-shell

NEW in 3.36.2 (19/03/2020)
=============

- Fix keybinding regrab with gnome-shell

NEW in 3.36.1 (19/03/2020)
=============

- Fix keybinding grab with gnome-shell

NEW in 3.36.0 (08/03/2020)
=============

- Update to gnome-shell 3.36.0

NEW in 3.34.4 (27/03/2020)
=============

- Fix activating items using Ctrl-Number in gnome-shell

NEW in 3.34.3 (19/03/2020)
=============

- Fix keybinding regrab with gnome-shell

NEW in 3.34.2 (19/03/2020)
=============

- Fix keybinding grab with gnome-shell

NEW in 3.34.1 (09/10/2019)
=============

- Compatibility with recent appstream-glib

NEW in 3.34.0 (09/09/2019)
=============

- Update to gnome-shell 3.34.0

NEW in 3.32.1 (27/03/2020)
=============

- Compatibility with recent appstream-glib
- Fix keybinding regrab with gnome-shell
- Fix activating items using Ctrl-Number in gnome-shell

NEW in 3.32.0 (12/03/2019)
=============

- Update to gnome-shell 3.32.0
- Allow loading settings from ~/.config/gpaste/settings

NEW in 3.30.2 (14/11/2018)
=============

- Fix warnings with gcc 8
- Fix ItemSelected dbus signal
- Fix crash with recent gnome-shell when emptying history

NEW in 3.30.1 (08/09/2018)
=============

- workaround a bug in gnome-shell 3.30.0

NEW in 3.30.0 (08/09/2018)
=============

- silence warnings with gcc 8
- update dependencies for gnome 3.30

NEW in 3.28.3 (14/11/2018)
=============

- Fix warnings with gcc 8
- Fix ItemSelected dbus signal
- Fix crash with recent gnome-shell when emptying history

NEW in 3.28.2 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.28.1 (26/03/2018)
=============

- gnome-shell extension cleanups
- allow disabling the confirmation dialog for emptying history

NEW in 3.28.0 (13/03/2018)
=============

- gpaste-daemonn now emits a dbus signal when an item is selected
- gpaste-client can now print the history in reverse order
- drop gtk4 support, it will come back later
- API adjustments to prepare for the future gtk4 port
- ask confirmation before emptying a history

NEW in 3.26.3 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.26.2 (08/03/2018)
=============

- fix regression in gnome-shell extension
- fix another potential images memory leak

NEW in 3.26.1 (07/03/2018)
=============

- fix memory leaks in images support
- silence a warnings in the gnome-shell extension

NEW in 3.26.0 (16/09/2017)
=============

- Javascript modernizations
- Adapt to gjs 1.50
- Adapt to gnome-shell/mutter 3.26
- use the new clipboardText feature in the search provider
- gtk4 3.91.2 compatibility

NEW in 3.24.6 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.24.5 (08/03/2018)
=============

- fix regression in gnome-shell extension
- fix another potential images memory leak

NEW in 3.24.4 (07/03/2018)
=============

- fix memory leaks in images support
- silence a warnings in the gnome-shell extension

NEW in 3.24.3 (16/09/2017)
=============

- Pagination fixes in the gnome-shell extension
- Fix some cransh in gpaste-ui

NEW in 3.24.2 (19/05/2017)
=============

- `gpaste-client add` now accepts reading from stdin
- you can't have two passwords with the same name in the history anymore
- prevent a bug adding a password both as password and text in come case

NEW in 3.24.1 (08/04/2017)
=============

- fix a regression in Passwords handling

NEW in 3.24.0 (07/04/2017)
=============

- change the history format to 2.0 to be more flexible (backward compatible)
- unify and consolidate some clipboard interactions
- handle text/html and text/xml mime types

NEW in 3.23.90 (20/03/2017)
=============

- applet and unity app-indicator have been removed
- a minimal applet is available there: https://github.com/Keruspe/gpaste-applet
- Dutch translation has been added
- gtk4 is now supported (--with-gtk=4.0)
- gnome-shell/mutter 3.24 are now supported and required
- ui will now close when you select an item (configurable)
- more intuitive search interactions in the ui
- preparations for future other storage backends
- preparations for mime types support
- more reliable "paste" behaviour part in some corener cases

NEW in 3.22.7 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.22.6 (08/03/2018)
=============

- fix regression in gnome-shell extension
- fix another potential images memory leak

NEW in 3.22.5 (07/03/2018)
=============

- fix memory leaks in images support
- silence a warnings in the gnome-shell extension

NEW in 3.22.4 (19/05/2017)
=============

- `gpaste-client add` now accepts reading from stdin
- you can't have two passwords with the same name in the history anymore
- prevent a bug adding a password both as password and text in come case

NEW in 3.22.3 (28/02/2017)
=============

- fix switch in gnome-shell extension
- fix some wrongly detected growing line

NEW in 3.22.2 (17/02/2017)
=============

- fix memory leaks in the debugging logs
- fix some corner case in images handling
- fix crash in UI when refreshing during search
- stability improvements

NEW in 3.22.1 (30/11/2016)
=============
- Fix some build system issues for vala and gobject-introspection

NEW in 3.22.0 (08/10/2016)
=============

- Depend on gtk+ 3.22, glib 2.50, gobject-introspeciton 1.50
- Bug fixes and simplifications in pagination handling for gnome-shell
- Fix bug with clipboard/primary selection synchronisation
- Fix racy calls to gtk_clipboard_store

NEW in 3.21.91 (17/09/2016)
=============

- Lots of fixes in the gnome-shell extension pagination
- Fix a crash when trying to add binary data with gpaste-client
- Use GLib new structured logging
- Update appstream files

NEW in 3.21.90 (09/09/2016)
=============

- Port from intltool to gettext
- pkg-config 0.29 is now required
- Port to the internal mutter-clutter
- gnome-shell extension cleanup
- Add pagination to gnmoe-shell extension

NEW in 3.20.8 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.20.7 (08/03/2018)
=============

- fix memory leaks in images support
- silence a warnings in the gnome-shell extension

NEW in 3.20.6 (28/02/2017)
=============

- fix switch in gnome-shell extension
- fix refresh with search in the ui
- fix some wrongly detected growing line

NEW in 3.20.5 (17/02/2017)
=============

- fix memory leaks in the debugging logs
- fix some corner case in images handling
- stability improvements

NEW in 3.20.4 (28/06/2016)
=============

- Fix some extensive CPU usage in some cases

NEW in 3.20.3 (14/06/2016)
=============

- Fix soname versioning

NEW in 3.20.2 (24/05/2016)
=============

- Add missing icon

NEW in 3.20.1 (23/05/2016)
=============

- Fix crash when a search goes wrong
- Fix hanging issue due to gtk+ race (?) in gtk_clipboard_store
- Fix the gnome-shell menu sometimes displaying twice
- Add debug logs to the core library
- Fix some build issues with some toolchains

NEW in 3.20 (23/03/2016)
=============

- Relicensing from GPL-3 to BSD-2
- Detect the presence of more features at runtime instead of compile time
- The gpaste-client cli has been mostly rewritten
- "gpaste-client file" now supports adding images to the history
- The legacy "gpaste" cli is gone
- gnome-shell extension cleanups and compatibility with 3.20
- automake 1.15 is required
- pkg-config 0.27 is required
- gtk+ 3.20, vala 0.32 (if --enable-vapi) and gobject-introspection 1.48 are required
- gpaste-ui now has a "new" button to add new contents to the clipboard
- The daemon now reexecs itself on SIGUSR1
- Avoid having two passwords under the same name in history
- libgpaste now logs into its own G_LOG_DOMAIN
- GPaste components now write their pid to a file
- A new tool is provided for debugging, but not installed: clipboard-watcher
- systemd user units are provided
- Build system cleanups
- Outdated translations have been dropped
- gobject-introspection fixes
- Fix style with gtk+ 3.20
- Implement the new shotcut window from gtk+
- Various code cleanups

NEW in 3.18.8 (13/04/2018)
=============

- fix a crash in images support

NEW in 3.18.7 (08/03/2018)
=============

- fix memory leaks in images support
- silence a warnings in the gnome-shell extension

NEW in 3.18.6 (17/02/2017)
=============

- fix memory leaks in the debugging logs
- fix some corner case in images handling
- stability improvements

NEW in 3.18.5 (28/06/2016)
=============

- fix some extensive CPU usage in some cases

NEW in 3.18.4 (22/05/2016)
=============

- fix crash when a search goes wrong
- fix hanging issue due to gtk+ race (?) in gtk_clipboard_store
- fix the gnome-shell menu sometimes displaying twice
- add debug logs to the core library

NEW in 3.18.3 (15/01/2016)
=============

- fix synchronisation issues between clipboard and primary selection
- fix a memory leak
- never handle images when images support is disabled

NEW in 3.18.2 (16/10/2015)
=============

- fix disabling legacy cli
- fix gnome-shell empty button
- fix emptying the active history
- fix showing about dialog
- update brazilian portuguese translation

NEW in 3.18.1.1 (27/09/2015)
=============

- few build system cleanups
- gobject-introspection fixes

NEW in 3.18.1 (23/09/2015)
=============

- fix a regression in growing lines detection

NEW in 3.18 (21/09/2015)
=============

- Warning, this is a big release, with changes in API, you might have to kill your old daemon after upgrading
- The "gpaste" cli is now "gpaste-client". old name can still be enabled with --enable-cli for now
- The "gpaste settings" tool is gone, use the "burger" menu from "gpaste-client ui"
- The graphical tool now allows you to fully manage your histories
- The graphical tool now allows you to restart the daemon
- The graphical tool now allows you to edit an element from the history
- The graphical tool new allows you to upload an element to a pastebin service (requires wgetpaste)
- The graphical tool now displays the size of each history
- The graphical tool now displays the index of each element in the history
- The graphical tool has been slightly redisigned
- A new gnome-shell search-provider is provided by the daemon
- When searching e.g. "42", the 42nd element from hsitory will be included in search results
- gpaste-client gained a new subcommand: "get-history" to get the name of the current history
- gpaste-client gained a new subcommand: "replace" to replace the content of an item in the history
- Compatibility with gnome-shell 3.18
- The daemon now "works" on wayland using XWayland and gnome-shell 3.18
- The dbus interface name is now org.gnome.GPaste1
- The "Empty" dbus method has been renamed "EmptyHistory"
- The "NameLost" and "ReexecuteSelf" dbus signals are gone
- Three new dbus signals: "DeleteHistory", "EmptyHistory" and "SwitchHistory"
- The daemon gained new dbus methods: GetItemKind, GetElements, GetHistoryName, Replace
- BackupHistory EmptyHistory and DeleteHistory now take the history as a parameter instead of the current one
- GPasteClient hasn't the "name-lost" and "reexecute-self" signals anymore
- GPasteClient gained three new signals: "delete-history", "empty-history" and "switch-history"
- GPasteHistory gained a new "switch" signal
- GPasteHistory now tracks dconf to switch between histories
- A few formerly private constructors and methods are now publicly available
- The way GPaste handles dbus conection and objects have significantly been reworked
- Everything is now handled using 64bits types (the numeric settings have thus been reset and some max values changed)
- A lot of code cleanup and rearchitecturation
- Signals are now properly documented for gobject-introspection and thus bindings
- Various build system cleanups (gobject-introspection and vapigen are now required to build from git
- Shell completion updates
- Translations updates

NEW in 3.16.3.1 (23/09/2015)
=============

- fix a regression in growing lines detection

NEW in 3.16.3 (05/09/2015)
=============

- various gnome-shell extension fixes
- prevent potential crash from external library users

NEW in 3.16.2.1 (11/05/2015)
=============

- gpaste; fix error in pipe detection

NEW in 3.16.2 (11/05/2015)
=============

- gpaste; allow taking password from stdin

NEW in 3.16.1 (29/04/2012)
=============

- bump max history size
- fix weird behaviour wrt screensaver

NEW in 3.16 (23/03/2015)
=============

- new subcommand: gpaste merge to merge various entries (with --decoration and --separator)
- new tool: gpaste-ui (minimal graphical interface)
- legacy applet reworked to use gpaste ui
- ubuntu app indicator reworked to use gpaste ui
- new keybinding to launch gpaste ui
- new keybinding to upload clipboard content to a pastebin service (requires wgetpaste >= 2.26)
- the daemon now returns standard DBus errors on invalid input
- name dbus parameters
- gnome-shell 3.16 support (require gnome-shell 3.16 because of breaking changes)
- require glib 2.44 and gtk 3.16
- compatibility with new glib autoptr mechanism
- fully switch to appstream
- updated shell completions
- updated translations
- various libgpaste api cleanups (bump soname to 3, rework libtool versioning)
- detect applet and app-indicator at runtime instead of build time
- fix bug with recent glib
- make a lot more stuff async
- gpasted is dead (long live gpaste-daemon)
- Changed DBus signal is dead
- drop old ubuntu compat patches
- drop gpaste-config.h
- drop old manual pages for applet and app-indicator
- drop legacy gpaste subcommands (raw, oneline, zero, favor --raw, --oneline and --raw)
- various bugfixes
- some progress regarding wayland support

NEW in 3.14.4.1 (11/05/2015)
=============

- gpaste; fix error in pipe detection

NEW in 3.14.4 (11/05/2015)
=============

- gpaste; allow taking password from stdin

NEW in 3.14.3 (21/03/2015)
=============

- fix crashes related to images support

NEW in 3.14.2 (07/03/2015)
=============

- improve zsh completion
- fix a bug causing the gnome-shell extension to randomly crash

NEW in 3.14.1 (17/01/2015)
=============

- search is now always done by the daemon, not the gnome-shell extension
- new gpaste subcomand: search
- gpaste now accepts --online --raw and --zero options
- search is now async
- various gnome-shell extension fixes
- updated completions
- we now restore the clipboard contents when unlocking the screensaver

NEW in 3.14 (10/10/2014)
=============

- update for latest gobject-introspection
- support gnome-shell 3.14
- start redesign of the gnome-shell extension
- new gpaste show-history command

NEW in 3.12.3.1 and 3.10.4.1 (09/10/2014)
=============

- a bug preventing the history to be saved to disk has been fixed
- prevent a segfault when loading large histories
- add a new gpaste oneline-history command

NEW in 3.12.3 and 3.10.4 (25/09/2014)
=============

- gpaste-daemon now has an Update dbus signal more precise than Changed
- desktop files fixes
- all calls to clipboard are now async
- performance improvements
- gpaste-client has been updated to match gpaste-daemon changes with an update signal
- gnome-shell extension has been ported to the update signal
- applets have been ported to the update signal
- gnome-shell search bar now matches the user theme

NEW in 3.12.2 and 3.10.3 (28/07/2014)
=============

- gpasted has been renamed gpaste-daemon
- Desktop files have been fixed
- Fixes for the ubuntu app-indicator
- Keybinding to mark an item as being a password
- All libgpaste-* have been merged into a single libgpaste
- Misc bugfixes reported for debian packaging

NEW in 3.12.1 and 3.10.2 (16/07/2014)
=============

- systemd support has been removed
- GPaste is now compliant with https://wiki.gnome.org/HowDoI/DBusApplicationLaunching
- GPaste now has built-in support for managing passwords, blog post coming.
- Completions and man pages have been updated
- Translations have been updated
- Miscellaneous bugfixes with static analysis
- The search feature of the gnome-shell extension has been improved

NEW in 3.12 (02/05/2014)
=============

- Improved compatibility with GNOME 3.12

NEW in 3.10.1 (01/05/2014)
=============

- gpasted no longer fails at runtime if gnome-shell's settings schema is not installed
- growing lines are detected for lines getting expanded at their left too
- gnome-shell extension has been rewritten
- gnome-shell extension now has a search bar
- translations update
- misc bugfixes

NEW in 3.10 (25/03/2014)
=============

- Follow GNOME versionning
- Don't display error on daemon-reexec
- Fix coredumps due to g_error
- New library: libgpaste-applet
- Unity support (for Ubuntu 14.04 and above) using libgpaste-applet
- Port legacy applet to libgpaste-applet and rename to StatusIcon
- Redesign GPaste StatusIcon to make it simpler and similar to gnome-shell extension
- Vala is no longer required to build the applet (rewritten in C)
- Lower automake dependency to 1.11
- Be compatible with gnome-shell up to 3.12
- libgpaste-settings: add reset
- gpaste settings: add reset buttons
- gpaste settings: add a switch to enable the gnome-shell extension
- The gnome-shell gsettings schema is now required when --enable-extension is provided (default)
- gpasted: GetElement now returns the display string
- gpasted now forwards the full history via dbus, letting the client manage the display limit
- gpasted gained GetHistoryLength, GetRawHistory, GetRawElement and About
- gpasted gained a new Version property
- Add about dialog to all components
- Prefer dark theme
- Display more info at the end of configure
- Provide appdata files
- Parallel build fixes
- Fix build issues for Fedora, Ubuntu and Debian
- clang related fixes
- Fix warnings
- Translations update

NEW in 3.8 (10/02/2014)
=============

- Fix german translation
- No longer depend on libxml
- Update Portugueuse and French translations
- New growing-lines feature
- Misc bufixes

NEW in 3.7 (09/11/2013)
=============

- "Paste and Pop" is now only "Pop"
- Fix SEGV when deleting last item of history
- New gnome-shell DBus client library
- DBus client libraries are now async
- Keybinder now uses gnome-shell if available to grab keys
- Preparations for wayland port
- Enhance internal memory management
- Code cleanup
- Misc bug fixes
- German translation

NEW in 3.6 (17/10/2013)
=============

- GPaste settings look has been updated to better fit with recent GNOME
- Performance improvements
- Daemon now fully evenmential (no more polling, less power consuption)
- GPasteClipboard now has a "owner-change" signal similar to GtkClipboard's one
- Misc. bugfixes
- New setting to set the maximum amount of memory used by data in history
- FIFO mode has been dropped (lacking design)
- Code cleanup and modernisation
- g_paste_history_add is now transfer full

NEW in 3.5 (25/09/2013)
=============

- Compatibility with gnome-shell 3.9.90 and above
- The gnome-shell applet has totally been rewritten
  and is now more intuitive.
- Port to newer glib
- Don't use deprecated stuff from gtk+
- The X11 keybinder is now optional
- New keybinding to sync the clipboard to the primary selection
- New keybinding to sync the primary selection to the clipboard

NEW in 3.3.1 (22/03/2014)
=============

- Build fixes for debian wheezy

NEW in 3.3 (22/02/2014)
=============

- New growing-lines feature (backported from 3.8)

NEW in 3.2.2 (22/10/2013)
=============

- "Paste and Pop" is now only "Pop"
- Fix SEGV at startup
- Fix SEGV when deleting last item of history

NEW in 3.2.1 (19/10/2013)
=============

- Update translations
- Fix build with old glib

NEW in 3.2 (16/10/2013)
=============

- Performance improvements
- Daemon now fully evenmential (no more polling, less power consuption)
- GPasteClipboard now has a "owner-change" signal similar to GtkClipboard's one
- Misc. bugfixes
- New setting to set the maximum amount of memory used by data in history
- FIFO mode has been dropped (lacking design)
- g_paste_history_add is now transfer full

NEW in 3.1 (23/09/2013)
=============

- Compatibility with gnome-shell up to 3.9.5
- New keybinding to sync the clipboard to the primary selection
- New keybinding to sync the primary selection to the clipboard

NEW in 3.0.2 (01/06/2013)
=============

- Fix build without gnome-control-center installed
- Fix focus when using <Ctrl><Alt><H> in gnome-shel extension

NEW in 3.0.1 (13/04/2013)
=============

- Fix build

NEW in 3.0 (13/04/2013)
=============

- Various build fixes
- Support of gnome-control-center for setting keybindings
- Compatibility with newer gnome-shell

NEW in 2.99.2 (22/01/2013)
=============

- Fix a bug making gpaste settings ui a no-op
- Don't close legacy applet menu when deleting an item
- Fix vala bindings
- Updated portuguese translation

NEW in 2.99.1 (15/01/2013)
=============

- Fix a few typos in the conditional code for applet and extension
- Fix make install when GPaste is not yet installed
- Clean desktop files

NEW in 2.99 (14/01/2013)
=============

- Compatibility with recent development releases of gnome-shell
- "gpaste f" now defers the file reading to the GPaste daemon
- libgpaste-client does now fully cover the GPaste DBus API
- libgpaste-keybinder has been ported to use XInput2
- keybindings have been fixed
- The gnome-shell extension has been ported to use libgpaste-client
- A systemd user unit is now provided
- New library: libgpaste-settings-ui
- gpaste-settings has been ported to libgpaste-settings-ui
- The gnome-shell extension now has a pref.js module based on libgpaste-settings-ui
- An autostart desktop file is now provided with the legacy applet
- gobject-introspection and vala support are now optional
- Various code cleanup

NEW in 2.9.1 (01/12/2012)
=============

- Fix memory leak when handling images
- Fix duplicated images in history
- Fix "changed" signal in GPasteSettings

NEW in 2.9 (29/09/2012)
=============

- Now depends on intltool 0.50
- Automake stack is even more modular
- libgpaste has been split into sublibs: libgpaste-core, libgpaste-keybinder and libgpaste-settings
- New libraries: libgpaste-client and libgpaste-daemon
- gpaste CLI is rewritten in C
- Keybindings have totally been reworked
- Performance improvements
- Various code cleanup
- Images support can now be disabled
- Paste and Pop keybinding may behave weirdly because of gtk+

NEW in 2.8.1 (05/05/2012)
=============

- Fix crash in g_paste_daemon_tracking

NEW in 2.8 (02/05/2012)
=============

- Various cleanup and bugfixes
- The history file now has a version number
- CDATA can now be copied
- ToggleHistory is now ShowHistory
- The "keyboard-shortcut" preferences is now called "show-history"
- New feature : Paste & Pop with a new keybinding (experimental)
- Vapi is no longer shipped and is generated when building
- Now requires automake 1.12 and autoconf 2.69
- Brazilian Portuguese translation by Elder Marco
- FIFO mode
- Multi-history with "gpaste backup-history" and "gpaste switch-history"
- New commands: "gpaste delete-history" and "gpaste list-histories"
- gpaste-settings has been rewritten
- libgpaste improvements

NEW in 2.5 (08/03/2012)
=============

- Reexecute has now a signal: ReexecuteSelf
- New library to externalize the core: libgpaste written in C with introspection and vapi
- Various build system cleanup
- Small bug fixes
- Port gpasted to libgpaste and rewrite it in C
- Port gpaste-settings to libgpaste
- Port gpaste-applet to libgpaste

NEW in 2.2.1 (07/01/2012)
=============

- Regen tarball with intltool 0.41.1

NEW in 2.2 (07/01/2012)
=============

- Content is now stripped before being added to clipboard
- New settings for maximum and minimum size of an item (thanks to Lukáš Zapletal)
- Various code cleanup
- Fix keybinding handling (conflict with mutter in keyboard grabbing)
- Ability to stop tracking changes when disabling extension
- Rewrite of gpaste-settings

NEW in 2.1 (01/12/2011)
=============

- Fix a bug which was "randomly" deleting image files
- Generate tarball with sane vala to unbreak keybindings

NEW in 2.0 (27/11/2011)
=============

- Updated finnish translation
- Cleanups
- Fix separators disapearing in gnome-shell extension
- Don't close menu when deleting items
- Uris support (files copying)
- Rewrite of bash and zsh completions
- Various fixes

NEW in 1.99 (2.0 RC) (02/11/2011)
=============

- Finnish translation by Jesse Jaara
- Be consistent with the shell applet menu structure
- New gpaste subcommand: raw-history to display history without numbers
- Switch to GDbus
- New images support (feedback appreciated)

NEW in 1.6 (20/09/2011)
=============

- Make hotkey work with legacy applet
- New GPaste subcommand for upgrading facilities: gpaste daemon-reexec
- Major autotools cleanup
- Fix linkage of gpasted against X11
- Bugfixes
- Espagnol translation by Antonio Trujillo

NEW in 1.5 (11/09/2011)
=============

- No trace of the applet at all with --disable-applet
- No more "shutdown-on-exit" key, just use the prefs or the command line
- Preparation for future images support
- History file is now ~/.gpaste_history
- Use AM_PROG_VALAC
- New "gpaste get <number>" command for subshell usage (And GetElement DBus method)
- Get rid of AM_MAINTAINER_MODE
- Add possibility to have a keyboard shortcut to display the history
- Do not add to history the last selected item when re tracking for changes

NEW in 1.4 (07/09/2011)
=============

- pod2man is no more needed
- Add ability not to save the history from one session to another
- Fix segfault at daemon startup with invalid utf8 string

NEW in 1.3.1 (03/09/2011)
=============

- Nothing

NEW in 1.3 (31/08/2011)
=============

- New gpaste option: file/-f/--file <path>, same as cat <path> | gpaste
- Adapt to new gnome-shell extension API

NEW in 1.2 (10/07/2011)
=============

- Avoid AM_GLIB_GNU_GETTEXT macro
- Don't run configure in autogen.bash
- Really restore tracking state at startup

NEW in 1.1 (09/07/2011)
=============

- Save whether we're tracking clipboard changes or not from a session to another
- Only build gnome-shell applet by default
- Launch and Quit DBus method are now Track(bool)
- Start and Exit DBus signals are now Tracking(bool)

NEW in 1.0 (05/07/2011)
=============

- Switch to .tar.xz
- Various bug fixes
- Silence some warnings
- Get rid of the History.changed signal
- Rework internal Settings handling

NEW in 0.99 (28/02/2011)
=============

- Depend on gtk+ 3.0.0
- Really fix the segfault taht should have been fixed in 0.9
- Namespace refactoring
- Libexec stuff is now installed into a gpaste subdir
- Code cleanup
- Explicit DBus API (with breakage)
- Rename gpaste-{preferences -> settings}
- New "exit" signal
- "start" is now a signal
- Build the gnome-shell native extension with --enable-extension
- The daemon no longer exits, it just stop tracking clipboard changes
- New DBus property: Active to see if the daemon is tracking
- Fix an encoding issue
- Quit is now Stop

NEW in 0.9 (05/02/2011)
=============

- Fix a segfault when trying to restore from an empty history
into an empty clipboard at startup
- Better output for empty history
- gpaste version
- gpaste applet to spawn the applet
- gpaste-applet and gpaste-preferences are now installed into libexecdir
- gpaste add foo is now an alias for gpaste foo (add foo to history)
- Add gpaste preferences alias for gpaste-preferences
- There can now only be one instance of the applet and daemon at a time
- You can now avoid building the applet with --disable-applet
- bash and zsh completions, manual

NEW in 0.8 (03/02/2011)
=============

- Fix behaviour of '\n' substitution with small string, and
disable it with element-size = 0
- Change default values to adapt to new behaviours
- Add ability to empty the history from the right clic on
the applet or via "gpaste empty"
- Do not display history when it is empty

NEW in 0.7 (02/02/2011)
=============

- The first element in history is now restored into clipboards
if they are empty at startup
- You can now shutdown the daemon with "gpaste quit"
- A preference has been added for the applet to shutdown the
daemon when exiting
- A preference has been added to set a maximum size for each item
when the applet displays them

NEW in 0.6 (01/02/2011)
=============

- Now, we store the settings and we connect to the change
signal to each one of them instead of retrieving them every time
- Fix a bug with the '_' character which was interpreted as an
underlinement when displaying the history from the applet
- Add ability to synchronize the primary selection and the clipboard

NEW in 0.5 (01/02/2011)
=============

First release !
Content:
  - gpasted: daemon with DBus interface
  - gpaste: CLI client for gpasted
  - gpaste-preferences: tool to edit preferences
  - gpaste-applet: tray icon for managing gpasted

